Skip to main content
GET
/
api
/
v1
/
consensus-ratings
Devuelve datos de consenso de recomendaciones de analistas
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/consensus-ratings?token=' \
  --header 'accept: <accept>'
{
  "aggregate_ratings": {
    "buy": 10,
    "hold": 3,
    "sell": 1,
    "strong_buy": 5,
    "strong_sell": 0
  },
  "aggregate_type": "90D",
  "consensus_price_target": 195.5,
  "consensus_rating": "Buy",
  "consensus_rating_val": 4.2,
  "high_price_target": 225,
  "low_price_target": 150,
  "total_analyst_count": 19,
  "unique_analyst_count": 15,
  "updated_at": "2024-01-09T16:00:00.000Z"
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Especifica el formato de respuesta. Los parámetros de consulta funcionan de la misma manera para ambos formatos.

Available options:
application/json

Query Parameters

pagesize
integer

Número de resultados devueltos. Límite: 1000

parameters[date_from]
string<YYYY-MM-DD>

Fecha (punto en el tiempo) desde la cual realizar la consulta

parameters[date_to]
string<YYYY-MM-DD>

Fecha final de la consulta (punto en el tiempo)

parameters[tickers]
string

Un ticker para el que consultar el agregado. Máximo 1 ticker

simplify
boolean
default:false

Para simplificar las calificaciones agregadas a solo BUY, SELL y HOLD, de forma predeterminada se devolverán todas las calificaciones (STRONG_BUY, BUY, HOLD, SELL, STRONG_SELL).

aggregate_type
enum<string>
default:number

Para agregar las calificaciones por número o porcentaje

Available options:
number,
percentage

Response

éxito

aggregate_ratings
object
aggregate_type
string
Example:

"90D"

consensus_price_target
number
Example:

195.5

consensus_rating
string
Example:

"Buy"

consensus_rating_val
number
Example:

4.2

high_price_target
number
Example:

225

low_price_target
number
Example:

150

total_analyst_count
integer
Example:

19

unique_analyst_count
integer
Example:

15

updated_at
string
Example:

"2024-01-09T16:00:00.000Z"